Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.discovery
Class OutgoingNotificationRequest

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.OutgoingDatagramMessage<UpnpRequest>
              org.teleal.cling.model.message.discovery.OutgoingNotificationRequest

Direct Known Subclasses:
  OutgoingNotificationRequestDeviceType, OutgoingNotificationRequestRootDevice, OutgoingNotificationRequestServiceType, OutgoingNotificationRequestUDN

    public abstract class OutgoingNotificationRequest

extends OutgoingDatagramMessage<UpnpRequest>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`protected` | `OutgoingNotificationRequest(Location location, LocalDevice device, NotificationSubtype type)`

Method Summary
`NotificationSubtype` | `getType()`

Methods inherited from class org.teleal.cling.model.message.OutgoingDatagramMessage
`getDestinationAddress, getDestinationPort`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutgoingNotificationRequest

    protected OutgoingNotificationRequest(Location location,
                                          LocalDevice device,
                                          NotificationSubtype type)

Method Detail

### getType

    public NotificationSubtype getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.